Bug 185334 - emulators/hugo: Fix build with clang
Summary: emulators/hugo: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-30 21:10 UTC by tkato432
Modified: 2014-01-25 13:30 UTC (History)
0 users

See Also:


Attachments
file.diff (4.31 KB, patch)
2013-12-30 21:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-30 21:10:07 UTC
- Fix build with clang
- Update MASTER_SITES
- Support OPTIONS_DEFINE
- Add LICENSE
Comment 1 Martin Wilke freebsd_committer 2014-01-19 14:31:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2014-01-19 14:31:35 UTC
Author: miwi
Date: Sun Jan 19 14:31:27 2014
New Revision: 340309
URL: http://svnweb.freebsd.org/changeset/ports/340309
QAT: https://qat.redports.org/buildarchive/r340309/

Log:
  - Fix build with clang
  - Update MASTER_SITES
  - Support OPTIONS_DEFINE
  - Add LICENSE
  
  PR:		185334
  Submitted by:	ports fury

Modified:
  head/emulators/hugo/Makefile
  head/emulators/hugo/files/patch-Makefile.in   (contents, props changed)
  head/emulators/hugo/files/patch-configure   (contents, props changed)
  head/emulators/hugo/pkg-plist   (contents, props changed)

Modified: head/emulators/hugo/Makefile
==============================================================================
--- head/emulators/hugo/Makefile	Sun Jan 19 14:30:23 2014	(r340308)
+++ head/emulators/hugo/Makefile	Sun Jan 19 14:31:27 2014	(r340309)
@@ -5,52 +5,58 @@ PORTNAME=	hugo
 PORTVERSION=	2.12
 PORTREVISION=	12
 CATEGORIES=	emulators
-MASTER_SITES=	http://www.zeograd.com/download/
+MASTER_SITES=	http://www.zeograd.com/download/ \
+		http://www.sourcefiles.org/Emulators/Videogames/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A PC Engine (TurboGrafx 16) emulator
+COMMENT=	PC Engine (TurboGrafx 16) emulator
 
-BUILD_DEPENDS=	${LOCALBASE}/include/argp.h:${PORTSDIR}/devel/argp-standalone
+LICENSE=	BSD GPLv2
+LICENSE_COMB=	multi
+
+LIB_DEPENDS=	libargp.so:${PORTSDIR}/devel/argp-standalone
+
+OPTIONS_DEFINE=	GTK2 DOCS NETPLAY SDL_MIXER
+OPTIONS_DEFAULT=GTK2
+OPTIONS_SUB=	yes
+NETPLAY_DESC=	Netplay support
+SDL_MIXER_DESC=	SDL_mixer support
 
-GNU_CONFIGURE=	yes
 USES=		gmake pkgconfig
 USE_SDL=	sdl
+USE_CSTD=	gnu89
+GNU_CONFIGURE=	yes
+
+CFLAGS+=	-Wno-return-type
+CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
-CONFIGURE_ENV+=	SDL_CONFIG="${SDL_CONFIG}"
 
-.if !defined(WITHOUT_NETPLAY)
-USE_SDL+=	net
-.else
-CONFIGURE_ARGS+=	--enable-netplay=no
+.include <bsd.port.options.mk>
+
+.if empty(PORT_OPTIONS:MGTK2) && ${PORT_OPTIONS:MNETPLAY}
+IGNORE=	NETPLAY support requires GTK2 support
 .endif
 
-.if defined(WITHOUT_GUI)
-CONFIGURE_ARGS+=	--enable-gui=no --disable-gtktest
-.else
+.if ${PORT_OPTIONS:MGTK2}
 USE_GNOME=	gtk20
+.else
+CONFIGURE_ARGS+=	--disable-gui --disable-gtktest
 .endif
 
-.if defined(WITH_OGG_SUPPORT)
-LIB_DEPENDS+=	vorbis.4:${PORTSDIR}/audio/libvorbis
-WITH_SDL_MIXER=	yes
-CONFIGURE_ARGS+=	--with-ogg-support
+.if ${PORT_OPTIONS:MNETPLAY}
+USE_SDL+=	net
+.else
+CONFIGURE_ENV+=	ac_cv_lib_SDL_net_main=no
 .endif
 
-.if defined(WITH_SDL_MIXER)
+.if ${PORT_OPTIONS:MSDL_MIXER}
+LIB_DEPENDS+=	libvorbis.so:${PORTSDIR}/audio/libvorbis
 USE_SDL+=	mixer
-CONFIGURE_ARGS+=	--with-sdl-mixer
-.endif
-
-MAKE_ENV+=	DOCSDIR="${DOCSDIR}"
-
-.if defined(NOPORTDOCS)
-MAKE_ENV+=	PORTDOCS=false
+CFLAGS+=	-DOGG_SUPPORT
 .else
-MAKE_ENV+=	PORTDOCS=true
+CONFIGURE_ENV+=	ac_cv_lib_SDL_mixer_main=no \
+		ac_cv_lib_vorbis_main=no \
+		ac_cv_lib_vorbisfile_main=no
 .endif
 
-NO_STAGE=	yes
-post-patch:
-	@${REINPLACE_CMD} -e 's|sdl-config|${SDL_CONFIG}|' ${WRKSRC}/configure
-
 .include <bsd.port.mk>

Modified: head/emulators/hugo/files/patch-Makefile.in
==============================================================================
--- head/emulators/hugo/files/patch-Makefile.in	Sun Jan 19 14:30:23 2014	(r340308)
+++ head/emulators/hugo/files/patch-Makefile.in	Sun Jan 19 14:31:27 2014	(r340309)
@@ -16,12 +16,12 @@
 -	if test -d $(srcdir)/doc; then \
 -	  $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/doc; \
 -	  for doc in $(srcdir)/doc/*.{html,txt,css}; do \
-+	if test -d $(srcdir)/doc && ${PORTDOCS}; then \
-+	  $(mkinstalldirs) ${DOCSDIR}; \
++	if test -d $(srcdir)/doc; then \
++	  $(mkinstalldirs) $(DESTDIR)$(datadir)/doc/hugo; \
 +	  for doc in $(srcdir)/doc/*.html $(srcdir)/doc/*.txt $(srcdir)/doc/*.css; do \
  	    if test -f $$doc; then \
 -	      $(INSTALL_DATA) $$doc $(DESTDIR)$(pkgdatadir)/doc; \
-+	      $(INSTALL_DATA) $$doc ${DOCSDIR}; \
++	      $(INSTALL_DATA) $$doc $(DESTDIR)$(datadir)/doc/hugo; \
  	    fi \
  	  done \
  	fi

Modified: head/emulators/hugo/files/patch-configure
==============================================================================
--- head/emulators/hugo/files/patch-configure	Sun Jan 19 14:30:23 2014	(r340308)
+++ head/emulators/hugo/files/patch-configure	Sun Jan 19 14:31:27 2014	(r340309)
@@ -27,7 +27,7 @@
  then
  
  
-@@ -8657,7 +8659,7 @@
+@@ -8657,13 +8657,13 @@
  
  		 fi
  	 ;;
@@ -36,7 +36,15 @@
  	  echo "FreeBSD build enabled"
  
  		 	 HUGO_TARGET_MACHINE="FREEBSD"
-@@ -8675,6 +8677,35 @@
+ 
+- 			 CFLAGS="$CFLAGS `sdl-config --cflags`"
+-       LIBS="$LIBS `sdl-config --libs`"
++ 			 CFLAGS="$CFLAGS `${SDL_CONFIG} --cflags`"
++       LIBS="$LIBS `${SDL_CONFIG} --libs`"
+ 
+ 
+ 
+@@ -8675,6 +8675,35 @@
    SDL_FREEBSD_FALSE=
  fi
  

Modified: head/emulators/hugo/pkg-plist
==============================================================================
--- head/emulators/hugo/pkg-plist	Sun Jan 19 14:30:23 2014	(r340308)
+++ head/emulators/hugo/pkg-plist	Sun Jan 19 14:31:27 2014	(r340309)
@@ -1,5 +1,5 @@
 bin/hugo
-bin/hugod
+%%NETPLAY%%bin/hugod
 %%PORTDOCS%%%%DOCSDIR%%/README.old.txt
 %%PORTDOCS%%%%DOCSDIR%%/cdrom.html
 %%PORTDOCS%%%%DOCSDIR%%/cdrom.txt
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2014-01-19 14:32:16 UTC
Author: miwi
Date: Sun Jan 19 14:32:08 2014
New Revision: 340310
URL: http://svnweb.freebsd.org/changeset/ports/340310
QAT: https://qat.redports.org/buildarchive/r340310/

Log:
  - Fix build with clang
  
  PR:		185334
  Submitted by:	ports fury

Modified:
  head/security/poly1305aes/Makefile   (contents, props changed)

Modified: head/security/poly1305aes/Makefile
==============================================================================
--- head/security/poly1305aes/Makefile	Sun Jan 19 14:31:27 2014	(r340309)
+++ head/security/poly1305aes/Makefile	Sun Jan 19 14:32:08 2014	(r340310)
@@ -7,23 +7,36 @@ CATEGORIES=	security
 MASTER_SITES=	http://cr.yp.to/mac/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	The poly1305 message authentication reference implementation using AES
+COMMENT=	Poly1305 message authentication reference implementation using AES
 
-CC+=		${CPPFLAGS} ${CFLAGS} ${LDFLAGS} ${STRIP}
 ALL_TARGET=	default
 
-REPLACE_HDRS=	aes.h cpucycles.h poly1305aes.h
-PROGRAM_FILES=	poly1305aes-speed test-aes test-poly1305aes
+CC+=		${CPPFLAGS} ${CFLAGS} ${LDFLAGS}
+
+NOT_FOR_ARCHS=	amd64
+
+.include <bsd.port.pre.mk>
+
+pre-build:
+.if ${ARCH} == "i386"
+	@${ECHO_CMD} "ppro" > ${WRKSRC}/poly1305aes.impl
+.endif
+
+post-build:
+.for i in aes.h cpucycles.h poly1305aes.h
+	@${REINPLACE_CMD} -e \
+		's|#include "|#include "poly1305/|' ${WRKSRC}/${i}
+.endfor
 
-NO_STAGE=	yes
 do-install:
-		${MKDIR} ${PREFIX}/include/poly1305
-		${INSTALL_DATA} ${WRKSRC}/*_*.h ${PREFIX}/include/poly1305/
-.for i in ${REPLACE_HDRS}
-		${REINPLACE_CMD} -e "s,#include \",#include \"poly1305/," ${WRKSRC}/$i > ${WRKSRC}/$i.fixed
-		${INSTALL_DATA} ${WRKSRC}/$i.fixed ${PREFIX}/include/poly1305/$i
-		${INSTALL_DATA} ${WRKSRC}/*.a ${PREFIX}/lib/
-		${INSTALL_DATA} ${PROGRAM_FILES:S,^,${WRKSRC}/,} ${PREFIX}/bin/
+.for i in poly1305aes-speed test-aes test-poly1305aes
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${i} \
+		${STAGEDIR}${PREFIX}/bin)
 .endfor
+	@${MKDIR} ${STAGEDIR}${PREFIX}/include/poly1305
+	(cd ${WRKSRC} && ${INSTALL_DATA} *.h \
+		${STAGEDIR}${PREFIX}/include/poly1305)
+	(cd ${WRKSRC} && ${INSTALL_DATA} *.a \
+		${STAGEDIR}${PREFIX}/lib)
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2014-01-25 13:27:37 UTC
Author: miwi
Date: Sat Jan 25 13:27:29 2014
New Revision: 341038
URL: http://svnweb.freebsd.org/changeset/ports/341038
QAT: https://qat.redports.org/buildarchive/r341038/

Log:
  MFH: r340310
  
  - Fix build with clang
  
  PR:		185334
  Submitted by:	ports fury

Modified:
  branches/2014Q1/security/poly1305aes/Makefile   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/security/poly1305aes/Makefile
==============================================================================
--- branches/2014Q1/security/poly1305aes/Makefile	Sat Jan 25 13:22:38 2014	(r341037)
+++ branches/2014Q1/security/poly1305aes/Makefile	Sat Jan 25 13:27:29 2014	(r341038)
@@ -7,23 +7,36 @@ CATEGORIES=	security
 MASTER_SITES=	http://cr.yp.to/mac/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	The poly1305 message authentication reference implementation using AES
+COMMENT=	Poly1305 message authentication reference implementation using AES
 
-CC+=		${CPPFLAGS} ${CFLAGS} ${LDFLAGS} ${STRIP}
 ALL_TARGET=	default
 
-REPLACE_HDRS=	aes.h cpucycles.h poly1305aes.h
-PROGRAM_FILES=	poly1305aes-speed test-aes test-poly1305aes
+CC+=		${CPPFLAGS} ${CFLAGS} ${LDFLAGS}
+
+NOT_FOR_ARCHS=	amd64
+
+.include <bsd.port.pre.mk>
+
+pre-build:
+.if ${ARCH} == "i386"
+	@${ECHO_CMD} "ppro" > ${WRKSRC}/poly1305aes.impl
+.endif
+
+post-build:
+.for i in aes.h cpucycles.h poly1305aes.h
+	@${REINPLACE_CMD} -e \
+		's|#include "|#include "poly1305/|' ${WRKSRC}/${i}
+.endfor
 
-NO_STAGE=	yes
 do-install:
-		${MKDIR} ${PREFIX}/include/poly1305
-		${INSTALL_DATA} ${WRKSRC}/*_*.h ${PREFIX}/include/poly1305/
-.for i in ${REPLACE_HDRS}
-		${REINPLACE_CMD} -e "s,#include \",#include \"poly1305/," ${WRKSRC}/$i > ${WRKSRC}/$i.fixed
-		${INSTALL_DATA} ${WRKSRC}/$i.fixed ${PREFIX}/include/poly1305/$i
-		${INSTALL_DATA} ${WRKSRC}/*.a ${PREFIX}/lib/
-		${INSTALL_DATA} ${PROGRAM_FILES:S,^,${WRKSRC}/,} ${PREFIX}/bin/
+.for i in poly1305aes-speed test-aes test-poly1305aes
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${i} \
+		${STAGEDIR}${PREFIX}/bin)
 .endfor
+	@${MKDIR} ${STAGEDIR}${PREFIX}/include/poly1305
+	(cd ${WRKSRC} && ${INSTALL_DATA} *.h \
+		${STAGEDIR}${PREFIX}/include/poly1305)
+	(cd ${WRKSRC} && ${INSTALL_DATA} *.a \
+		${STAGEDIR}${PREFIX}/lib)
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"